0 Replies Latest reply on Nov 30, 2005 8:43 AM by Caspar Nielsen

    Using old version of xerces on JBoss4.0.2

    Caspar Nielsen Newbie

      I've developed an ear-file which uses and older version of xerces than the one supplied with JBoss 4.0.2. When I call the method that uses xerces I get the following error:

      java.lang.NoSuchMethodError: org.apache.xerces.parsers.DOMParser.startDocument()V
       com.accelio.ces.xmlapi.FSXMLConfig.CreateRequest(FSXMLConfig.java:57)
       com.accelio.ces.xmlapi.SoapClient.publish(SoapClient.java:81)
       FormServer.CreateForm.doProcess(CreateForm.java:77)
       FormServer.CreateForm.doPost(CreateForm.java:27)
       javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
       javax.servlet.http.HttpServlet.service(HttpServlet.java:810)
       org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:81)


      As far as I've been able to read on this forum, it has something to do with the differences in the version of xerces. I've tried to add the java2ParentDelegation to the jboss-app.xml in the META-INF folder, but I can't seem to get it to work.

      The structure of my ear file is:
      EAR -> WAR -> WEB-INF\lib\*.jar
      EAR -> META-INF\jboss-app.xml

      Does anyone know what is wrong?